// Global.h: interface for the CGlobal class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(__GLOBAL__H__)
#define __GLOBAL__H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#pragma comment(lib, "mpr.lib")

#include <string>
#include <list>
#include <vector>
#include <map>
#include <tchar.h>
#include <stdio.h>
#include <time.h>
//#include <shlwapi.h>
#include <wininet.h>
#include <UrlHist.h>
//#pragma warning(disable : 4192)
//#import <shdocvw.dll> 

#define MAX_BUF					260
#define APP_NAME				_T("IEMozilla")
#define APP_EXE					_T("iemozilla.exe")
#define APP_ID					_T("KISSMYURANUS")
#define APP_DEMO				_T("URANUS")
#define APP_DEMO_DAYS			0
#define APP_DEMO_OPT			0
#define NEW_LINE				_T("\r\n")


// App messages
#define ID_TIMER_ANIMATE_TRAY	6969
#define WM_TRAYICON_NOTIFY		WM_APP + 101
#define WM_SINKAGENT_NOTIFY		WM_APP + 102 
#define WM_LOADSKIN				WM_APP + 103
#define IDT_TRAY_DELAY			WM_APP + 104
#define IDT_SLIDEMV				WM_APP + 105
#define ID_TIMER_CLOCK			WM_APP + 106
#define ID_TIMER_SLIDEV			WM_APP + 107
#define IDT_MENU_UP				WM_APP + 108
#define IDT_MENU_DOWN			WM_APP + 109
#define IDT_MENU_LOAD			WM_APP + 110

/////////////////////////////////////////////////////////////////////////////
// GLOBAL MACROS

// Old OLE2 string conversion macros
// Use the ATL string conversion macros instead (look up USES_CONVERSION; in help)
#define TOUNICODE(szX,wszX) if(szX) ::MultiByteToWideChar( CP_ACP, MB_PRECOMPOSED, szX, strlen(szX)+1, wszX, sizeof(wszX)/sizeof(wszX[0]) )
#define TOANSI(wszX,szX)    if(wszX) ::WideCharToMultiByte( CP_ACP, 0, wszX, -1, szX, sizeof(szX), NULL, NULL)

// Add backslash to string
#define ADDBACKSLASH(s) if(s.Right(1)!=_T('\\')){s+=_T('\\');}
#define REMOVEBACKSLASH(s) if(s.Right(1)==_T('\\')) s=s.Left(s.GetLength()-1);

#define LADDBACKSLASH(s) if(s.Left(1)!=_T('\\')){s=_T('\\')+s;}
#define LREMOVEBACKSLASH(s) if(s.Left(1)==_T('\\')) s=s.Right(s.GetLength()-1);

typedef std::basic_string<TCHAR> tstring;

#define SAFE_DELETE(pObject) { if (pObject) {delete pObject; pObject = NULL; }; }


class CGlobal  
{
public:
	CGlobal();
	virtual ~CGlobal();

	BOOL	m_bEnable;
	BOOL	m_bAutorun;

	BOOL	m_bMozilla;


};


#ifndef __g_Global__
extern CGlobal g_Global;
#endif //__GLOBAL__H__


#endif //__GLOBAL__H__
